Documentation Index

Fetch the complete documentation index at: https://help.gong.io/llms.txt

Use this file to discover all available pages before exploring further.

Assign prospects (contacts or leads) to an Engage flow (/v2/flows/prospects/assign)

Prev Next
Post
/v2/flows/prospects/assign

Use this endpoint to assign a number of prospects to a flow. Prospects can be contacts or leads in your CRM.

Generate a list of comma separated CRM Ids of the prospects you want to add to a flow. The flowInstanceOwnerEmail parameter is the email address of the Gong user who set up the flow instance and owns the flow to-dos.

You can assign up to 200 prospects to a flow in a single request.

Required authorizaton scope: 'api:flows:write'.

Body parameters
object

Flow assignment parameters.

crmProspectsIds
Array of string Required

The CRM IDs of the contact or lead that should be assigned to a flow

Example[ "a5V1Q00A120DP4CVAW" ]
string

The CRM IDs of the contact or lead that should be assigned to a flow

Example["a5V1Q00A120DP4CVAW"]
flowId
string Required

The Engage Flow ID to assign the contacts to.

Example1695493301223590792
flowInstanceOwnerEmail
string Required

The email of the Gong user who owns the flow to-dos.

Exampletest@test.com
Responses
200

Successful response

Expand All
object
requestId
string

A Gong request reference Id, generated for this request. Can be used for troubleshooting purposes.

Example4al018gzaztcr8nbukw
prospectsAssigned
Array of object (PublicApiAssignedFlow)
object
flowId
string

The Gong Engage Flow ID the prospect was assigned to.

Example1695493301223590792
flowName
string

The Gong Engage Flow name the prospect was assigned to.

ExampleSDR Flow
crmProspectId
string

The CRM ID of the prospect that was assigned to a Gong Engage flow.

Examplea5V1Q00A120DP4CVAW
flowInstanceId
string

The newly created flow instance id.

Example1234361284629356
flowInstanceOwnerEmail
string

The email address of the Gong user who owns the flow instance tasks.

Exampletest@test.com
flowInstanceOwnerFullName
string

The full name of the Gong user who owns the flow instance tasks.

ExampleTest User
flowInstanceCreateDate
string

The creation date of the flow instance in the ISO-8601 format, for example: '2024-01-17T16:20:05-03:00' or '2016-02-16T03:57:04.834+05:30' or '2020-11-20T21:30:07.233692Z', where Z stands for UTC.

Example2019-01-20T00:00:00-08:00
flowInstanceStatus
string

The status of the flow instance.

Valid values[ "Running", "Pending", "Paused" ]
ExampleRunning
workspaceId
string

The workspace ID this flow belongs to.

Example623457276584334
exclusive
boolean

Indicates whether a prospect in this flow can be added to other flows

Exampletrue
prospectsNotAssigned
Array of object (AssignedFlowFailure)
object
flowId
string

The flow ID to which the assignment failed

Example1695493301223590792
crmProspectId
string

The CRM ID of the prospect that failed to get assigned to a Gong Engage flow.

Examplea5V1Q00A120DP4CVAW
errorCode
string

The code of the assignment error

Valid values[ "InvalidArgument", "InvalidState", "UnexpectedError" ]
ExampleInvalidArgument
errorMessage
string

A message describing the assignment error

ExampleInvalid crmId <not-a-crm-id>
400

Malformed request

object
requestId
string

A Gong request reference Id, generated for this request. Can be used for troubleshooting purposes.

Example4al018gzaztcr8nbukw
errors
Array of string

Error messages.

Example[ "An error has occurred" ]
string
401

Unauthorized

object
requestId
string

A Gong request reference Id, generated for this request. Can be used for troubleshooting purposes.

Example4al018gzaztcr8nbukw
errors
Array of string

Error messages.

Example[ "An error has occurred" ]
string
403

Forbidden

object
requestId
string

A Gong request reference Id, generated for this request. Can be used for troubleshooting purposes.

Example4al018gzaztcr8nbukw
errors
Array of string

Error messages.

Example[ "An error has occurred" ]
string
429

API request limit exceeded

Headers
Retry-After
integer
Number of seconds to wait before making a new request.
object
requestId
string

A Gong request reference Id, generated for this request. Can be used for troubleshooting purposes.

Example4al018gzaztcr8nbukw
errors
Array of string

Error messages.

Example[ "An error has occurred" ]
string
500

Failed to complete the operation due to an unexpected error

object
requestId
string

A Gong request reference Id, generated for this request. Can be used for troubleshooting purposes.

Example4al018gzaztcr8nbukw
errors
Array of string

Error messages.

Example[ "An error has occurred" ]
string